Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc
Class AbstractSQLExecutionListener

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.AbstractSQLExecutionListener

All Implemented Interfaces:
  SQLExecutionListener

Direct Known Subclasses:
  PerformanceTracker

public class AbstractSQLExecutionListener
extends Object
implements SQLExecutionListener

An abstract implementation of the `SQLExecutionListener` listener. It allows simple implementation of fine-grained event handling.

Since:
  2.4
See Also:
  `SQLExecutionEvent.PREPARING_STATEMENT`, `SQLExecutionEvent.CREATING_STATEMENT`, `SQLExecutionEvent.BEFORE_EXECUTE_STATEMENT`, `SQLExecutionEvent.AFTER_EXECUTE_STATEMENT`, `SQLExecutionEvent.BEFORE_COMMIT`, `SQLExecutionEvent.AFTER_COMMIT`, `SQLExecutionEvent.BEFORE_ROLLBACK`, `SQLExecutionEvent.AFTER_ROLLBACK`, `SQLExecutionEvent.BEFORE_CLOSE`, `SQLExecutionEvent.AFTER_CLOSE`, `SQLExecutionEvent.BEFORE_CLOSE_RESULTSET`, `SQLExecutionEvent.AFTER_CLOSE_RESULTSET`, `SQLExecutionEvent.BEFORE_CONNECT`, `SQLExecutionEvent.AFTER_CONNECT`

Constructor Summary
`AbstractSQLExecutionListener()`

Method Summary
`void` | `afterClose(SQLExecutionEvent event, Connection c)`
`void` | `afterCloseResultSet(SQLExecutionEvent event, ResultSet rs)`
`void` | `afterCommit(SQLExecutionEvent event, Connection c)`
`void` | `afterConnect(SQLExecutionEvent event, Connection c)`
`void` | `afterExecuteStatement(SQLExecutionEvent event, Statement stmnt)`
`void` | `afterRollback(SQLExecutionEvent event, Connection c)`
`void` | `beforeClose(SQLExecutionEvent event, Connection c)`
`void` | `beforeCloseResultSet(SQLExecutionEvent event, ResultSet rs)`
`void` | `beforeCommit(SQLExecutionEvent event, Connection c)`
`void` | `beforeConnect(SQLExecutionEvent event)`
`void` | `beforeExecuteStatement(SQLExecutionEvent event, Statement stmnt)`
`void` | `beforeRollback(SQLExecutionEvent event, Connection c)`
`void` | `creatingStatement(SQLExecutionEvent event, SQLBuffer[] buf)`
`void` | `eventOccured(SQLExecutionEvent event)` Generic dispatcher: redirects the event to the appropriate handler based on on the `SQLExecutionEvent.getType()` result.
`void` | `preparingStatement(SQLExecutionEvent event, SQLBuffer[] buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSQLExecutionListener

    public AbstractSQLExecutionListener()

Method Detail

### eventOccured

    public void eventOccured(SQLExecutionEvent event)

  Generic dispatcher: redirects the event to the appropriate handler based on on the `SQLExecutionEvent.getType()` result.
  Specified by:
    `eventOccured` in interface `SQLExecutionListener`

### preparingStatement

    public void preparingStatement(SQLExecutionEvent event,
                                   SQLBuffer[] buf)

  See Also:
    `SQLExecutionEvent.PREPARING_STATEMENT`

### creatingStatement

    public void creatingStatement(SQLExecutionEvent event,
                                  SQLBuffer[] buf)

  See Also:
    `SQLExecutionEvent.CREATING_STATEMENT`

### beforeExecuteStatement

    public void beforeExecuteStatement(SQLExecutionEvent event,
                                       Statement stmnt)

  See Also:
    `SQLExecutionEvent.BEFORE_EXECUTE_STATEMENT`

### afterExecuteStatement

    public void afterExecuteStatement(SQLExecutionEvent event,
                                      Statement stmnt)

  See Also:
    `SQLExecutionEvent.AFTER_EXECUTE_STATEMENT`

### beforeCommit

    public void beforeCommit(SQLExecutionEvent event,
                             Connection c)

  See Also:
    `SQLExecutionEvent.BEFORE_COMMIT`

### afterCommit

    public void afterCommit(SQLExecutionEvent event,
                            Connection c)

  See Also:
    `SQLExecutionEvent.AFTER_COMMIT`

### beforeRollback

    public void beforeRollback(SQLExecutionEvent event,
                               Connection c)

  See Also:
    `SQLExecutionEvent.BEFORE_ROLLBACK`

### afterRollback

    public void afterRollback(SQLExecutionEvent event,
                              Connection c)

  See Also:
    `SQLExecutionEvent.AFTER_ROLLBACK`

### beforeClose

    public void beforeClose(SQLExecutionEvent event,
                            Connection c)

  See Also:
    `SQLExecutionEvent.BEFORE_CLOSE`

### afterClose

    public void afterClose(SQLExecutionEvent event,
                           Connection c)

  See Also:
    `SQLExecutionEvent.AFTER_CLOSE`

### beforeConnect

    public void beforeConnect(SQLExecutionEvent event)

  See Also:
    `SQLExecutionEvent.BEFORE_CONNECT`

### afterConnect

    public void afterConnect(SQLExecutionEvent event,
                             Connection c)

  See Also:
    `SQLExecutionEvent.AFTER_CONNECT`

### beforeCloseResultSet

    public void beforeCloseResultSet(SQLExecutionEvent event,
                                     ResultSet rs)

  See Also:
    `SQLExecutionEvent.BEFORE_CLOSE_RESULTSET`

### afterCloseResultSet

    public void afterCloseResultSet(SQLExecutionEvent event,
                                    ResultSet rs)

  See Also:
    `SQLExecutionEvent.AFTER_CLOSE_RESULTSET`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.